Bug 38274 - Next/Previous element still find text after it's deleted from Find Text box on Find Bar
Summary: Next/Previous element still find text after it's deleted from Find Text box o...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2011-06-13 22:52 UTC by kitsune6014
Modified: 2020-10-27 04:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kitsune6014 2011-06-13 22:52:41 UTC
If you open a document, the buttons at the bottom of the scroll bar have the function "next page" and "previous page".

If you perform a find, these then change to "continue search forward" and "continue search backwards".

If you then blank out your search term (text in find box changes to greyed out "Find"), the buttons still have the search functionality.

These buttons should really change back to the next/previous page functionality, when there is no active find string.
Comment 1 Björn Michaelsen 2011-12-23 12:27:46 UTC Comment hidden (obsolete)
Comment 2 sasha.libreoffice 2012-02-29 04:57:54 UTC
reproduced in 3.5.0 on Fedora 64 bit
I agree that existing functionality is wrong. Tool in right bottom corner should or not change state or return to previous state when search word erased or "Find" closed
Comment 3 Roman Eisele 2012-05-03 04:39:08 UTC
This is a Writer bug, as the Summary says, therefore removed 'Writer -' from the summary and changed 'Component' to 'Writer' instead.
Comment 4 ign_christian 2013-07-03 03:23:15 UTC
It seems to be fixed. The buttons inactive when we blanked out search term (LO 4.0.4.2 - Win7 32bit)
Comment 5 sasha.libreoffice 2013-07-05 11:42:50 UTC
bug still reproducible in 4.0.4 and 4.1.0 on Fedora (RFR) 64 bit
Comment 6 Joel Madero 2014-11-04 03:44:52 UTC
Never confirmed by QA team - moving back to UNCONFIRMED.
Comment 7 Buovjaga 2014-11-16 09:32:46 UTC
Initially, when you input a search term, the Next/Previous element buttons do not perform find. But after you delete the word from the find box, they do!
After you close the find box and reopen it, you will see the search term has returned on its own and the next/previous element buttons again function as find, but the actual find next/previous buttons are inactive.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 3cf226622a3d8c09d655034dbcc81695f1662b87
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-15_23:24:22
Comment 8 QA Administrators 2015-12-20 16:15:21 UTC Comment hidden (obsolete)
Comment 9 kitsune6014 2015-12-23 05:42:19 UTC
Bug still present.


The interface has changed since it was originally lodged.

Originally, problem was on "next page" & "previous page" buttons on scroll bar.

Now the same function is performed by "next element" & "previous element" buttons on tool bar that appears on bottom of screen.

Verision of LibreOffice : 5.0.4.2

Operation System        : Windows XP SP3
Comment 10 QA Administrators 2017-10-23 13:57:56 UTC Comment hidden (obsolete)
Comment 11 kitsune6014 2017-10-26 00:58:08 UTC
Bug still exists.

Version: 5.4.2.2 (x64)
Build ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
CPU threads: 4; OS: Windows 6.19; UI render: default; 
Locale: en-AU (en_AU); Calc: group

To reproduce.

Enter search term in find text box and do search.

Blank out text in find text box.

"Navigate by" arrows still continue to search for the original string.
Comment 12 QA Administrators 2018-10-27 02:55:47 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2020-10-27 04:24:52 UTC
Dear kitsune6014,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug